DeepFellow DOCS

Edit user

POST
/admin/user/{user_id}

Edit a user.

Authorization

headerAuthorizationBearer <token>

Path Parameters

user_id*string

The ID of the user.

Match^[0-9a-fA-F]{24}$

Request Body

application/json
  1. body
name?string|null
email?string|null
password?string|null
is_admin?boolean|null
status?|null
default_organization_id?|null

Response Body

Successful Response

application/json
  1. response
id*string

A 24-character hexadecimal MongoDB ObjectId string.

Match^[0-9a-fA-F]{24}$
email*string

User email.

is_admin*boolean

Boolean indicating whether the user is admin.

status*string
Value in"active""blocked"
default_organization_id*|null
created_at*integer

The Unix timestamp (in seconds) for when the user was created.

Example Request
curl -X POST 'https://deepfellow-server-host/admin/user/5eb7cf5a86d9755df3a6c593' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "5eb7cf5a86d9755df3a6c593",  "email": "string",  "is_admin": true,  "status": "active",  "default_organization_id": "5eb7cf5a86d9755df3a6c593",  "created_at": 0}

We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.